Page MenuHomePhabricator

Migration script runner rewrite
Closed, ResolvedPublicFEATURE REQUEST

Description

The current migration script runner is rather messy, and needs a rewrite. See the "Future plans" section of http://wiki.vyos.net/wiki/Migration_scripts

Details

Difficulty level
Hard (possibly days)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dmbaturin created this task.
dmbaturin changed the edit policy from "Custom Policy" to "Subscribers".
dmbaturin changed Difficulty level from Unknown (require assessment) to Hard (possibly days).

Here's a commented reference config from Vyatta 6.5 for testing:

Development on this resides in a fork of vyatta-config-migrate (https://github.com/jestabro/vyatta-config-migrate), though properly should reside in a fork of vyos-1x.

While testing I noticed a bug in vyos/vyos-1x/src/migration-scripts/dhcp-server/4-to-5 (wrong indent on last line gives exit code 1), which I'll just change in current, as it is clear.

c-po added a subscriber: c-po.Apr 26 2019, 8:47 AM

@jestabro I fixed the indent on both current and curx thanks for reporting

pasik added a subscriber: pasik.May 31 2019, 3:43 PM
jestabro closed this task as Resolved.Jun 19 2019, 2:00 PM
jestabro moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.